%{

/* includes and declarations go here */

int nb_lines = 0;

%}

DIGIT   [0-9]
INT     {DIGIT}+
FLOAT   {DIGIT}+\.{DIGIT}*

%%

  /* comments need to be indented */

  /* a set of dummy rules */

"\n"      { ++nb_lines; printf("\n"); }
[ \t]*    { /* ignore whitespace */ }
{INT}     { printf("INT"); }
{FLOAT}   { printf("FLOAT"); }
\+        { printf("+"); }
-         { printf("-"); }
\*        { printf("*"); }
\/        { printf("/"); }
\(        { printf("("); }
\)        { printf(")"); }

.         { fprintf(stderr, "/!\\ invalid character\n"); }

%%

int
main(void)
{
  int r = yylex();
  printf("scanned %d lines\n", nb_lines);
  return r;
}
